// Code generated by go-swagger; DO NOT EDIT.

package operations

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// EventRequestOKCode is the HTTP code returned for type EventRequestOK
const EventRequestOKCode int = 200

/*EventRequestOK JSONResponse struct

swagger:response eventRequestOK
*/
type EventRequestOK struct {
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	Status string `json:"status"`
}

// NewEventRequestOK creates EventRequestOK with default headers values
func NewEventRequestOK() *EventRequestOK {

	return &EventRequestOK{}
}

// WithDescription adds the description to the event request o k response
func (o *EventRequestOK) WithDescription(description string) *EventRequestOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the event request o k response
func (o *EventRequestOK) SetDescription(description string) {
	o.Description = description
}

// WithStatus adds the status to the event request o k response
func (o *EventRequestOK) WithStatus(status string) *EventRequestOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the event request o k response
func (o *EventRequestOK) SetStatus(status string) {
	o.Status = status
}

// WriteResponse to the client
func (o *EventRequestOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header status

	status := o.Status
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
